Skip to main content
Asynchronous extraction allows documents to be processed in the background. When a request is submitted, the system immediately returns a unique job identifier (GUID) and closes the connection.

Endpoint

https://smartsense-dev-api.nostello.com/api/v1/extractFieldsAsync

Request Header

All requests must include an API key in the Authorization header.
KeyValue
Authorizationapi-key [your api key]

Request Body

The request must be sent as multipart/form-data.

Document Source

KeyTypeValue
fileFile[binary file upload]
The file is compulsory when sending requests.

Extraction Optons

KeyTypeDefaultValue
templateNameText[template name]
filterNameText[filter name]
documentSplittingTextfalsetrue/false
returnDocumentsTextfalsetrue/false
returnTextTextfalsetrue/false
schemaChunkingTextautoauto/combined
passwordText[password]

Request Example

curl --location 'https://smartsense-dev-api.nostello.com/api/v1/extractFieldsAsync' \
--header 'Authorization: api-key opt_ede920076469_M8M9wr6WnmlvM05iiz6Rqxlr9yG-X8WjItmmqzIp03A' \
--form 'file=@"[file path]"' \
--form 'templateName="[template name]"' \
--form 'filterName=""' \
--form 'documentSplitting="false"' \
--form 'returnDocuments="false"' \
--form 'returnText="false"' \
--form 'schemaChunking="auto"' \
--form 'password=""'

Response Example

{
    "success": true,
    "message": "Document processing started asynchronously.",
    "guid": "c296b01c-2527-48d5-a885-a2aa840b3a46"
}
FieldValuesDescription
successtrue/falseIndicates the success or failure of the request as a whole.
messageThe message will give information if a request has failed.
guidThis is the unique identifier that you must use to poll for the completed document.